BASENAME(1)

NÉV
basename - levgja a knyvtrat s a vgzdst a fjlnevekrl

ÖSSZEGZÉS
basename NV [UTTAG]
basename KAPCSOL... NV...

LEÍRÁS

Kirja a NEVET a kezd knyvtrsszetev eltvoltsa utn. Ha meg van adva, a zr UTTAGOT is eltvoltja.

A hosszú kapcsolók kötelező argumentumai a rövid kapcsolókhoz is kötelezők.

-a, --multiple
    tbb argumentum tmogatsa, s mindegyik NVKNT kezelse

-s, --suffix=SUFFIX
    remove a trailing SUFFIX; implies -a

-z, --zero
    minden kimeneti sor lezárása NUL-lal új sor helyett

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

PÉLDÁK

basename /usr/bin/sort
    -> "sort"

basename include/stdio.h .h
    -> "stdio"

basename -s .h include/stdio.h
    -> "stdio"

basename -a iz/str1 iz/str2
    -> str1 majd str2

SZERZŐ
Írta David MacKenzie.

HIBÁK JELENTÉSE
A hibák a(z) bug-coreutils@gnu.org címen jelenthetők.
A(z) GNU coreutils honlapja: <https://www.gnu.org/software/coreutils/>
Általános segítség a GNU szoftverek használatához: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

LÁSD MÉG
dirname(1), readlink(1)

Teljes dokumentci <https://www.gnu.org/software/coreutils/basename>
vagy helyileg elrhet: info '(coreutils) basename invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja.
NINCS GARANCIA, a törvény által engedélyezett mértékig.

FORDÍTÁS
A kézikönyv magyar fordítását a Gombai Sándor <sgombai@hotmail.com> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..